Date: Wed, 18 Mar 1998 10:25:47 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: Re: L68K: Zorro: Delfina Lite ID
Sender: owner-linux-m68k@phil.uni-sb.de

I wrote:
> Recognize the Delfina Lite soundcard. The patch includes support for both
> 2.0.33 and 2.1.85.

But the patch for 2.0.33 was missing (why did no one tell me?)

Here it is:

--- /usr/src/linux20/include/asm-m68k/zorro.h	Thu Mar  5 12:16:59 1998
+++ m68k-2.0.30/inlude/linux/zorro.h	Wed Mar 18 10:14:04 1998
@@ -428,7 +428,8 @@
 #define PROD_APOLLO_TURBO      (0x23)	/* Apollo Turbo Board */
 
 #define MANUF_PETSOFF          (0x38A5)	/* Petsoff LP */
-#define PROD_DELFINA           (0x00)	/* Delfina DSP */
+#define PROD_DELFINA           (0x00)	/* Delfina Sound Board */
+#define PROD_DELFINA_LITE      (0x01)	/* Delfina Lite Sound Board */
 
 #define MANUF_UWE_GERLACH      (0x3FF7)	/* Uwe Gerlach */
 #define PROD_UG_RAM_ROM        (0xd4)	/* RAM/ROM */
--- /usr/src/linux20/arch/m68k/amiga/zorro.c	Fri Dec 12 21:43:18 1997
+++ m68k-2.0.30/arch/m68k/amiga/zorro.c	Wed Mar 18 10:15:16 1998
@@ -564,7 +564,8 @@
 END
 
 BEGIN_PROD(PETSOFF)
-   PROD("Delfina DSP", DELFINA)
+   PROD("Delfina Sound Board", DELFINA)
+   PROD("Delfina Lite Sound Board", DELFINA_LITE)
 END
 
 BEGIN_PROD(UWE_GERLACH)

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

